﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace CodeCamp.Common
{
	public class DateFormatConverter : IValueConverter
	{

		#region IValueConverter Members

		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			String format = parameter as String;
			if (String.IsNullOrEmpty(format))
			{
				return value;
			}

			return String.Format(culture, String.Format("{{0:{0}}}", format), value);
		}

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotImplementedException();
		}

		#endregion
	}
}
