﻿using System;
using System.Windows;

namespace CodeCamp.Common
{
	public class DispatcherFacade : IDispatcher
	{
		private Boolean m_IsHtmlEnabled;

		public DispatcherFacade(Boolean isHtmlEnabled)
		{
			m_IsHtmlEnabled = isHtmlEnabled;
		}

		#region IDispatcher Members

		public void BeginInvoke(Action action)
		{
			if (m_IsHtmlEnabled == false)
				action.Invoke();

			Deployment.Current.Dispatcher.BeginInvoke(action);
		}

		public void BeginInvoke(Delegate action, params object[] args)
		{
			if (m_IsHtmlEnabled == false)
				action.DynamicInvoke(args);

			Deployment.Current.Dispatcher.BeginInvoke(action, args);
		}

		#endregion
	}
}
