﻿using System;
using System.Collections.Generic;
using CodeCamp.Model;

namespace CodeCamp.Common.Utility
{
	public class MockMessageService : IMessageServiceAsync
	{
		#region IMessageServiceAsync Members

		public IAsyncResult BeginGetMessages(AsyncCallback callback, object state)
		{
			return new MockAsyncResult { AsyncState = state };
		}

		public System.Collections.Generic.IList<Message> EndGetMessages(IAsyncResult result)
		{
			return new List<Message> {
				new Message { Content = "Message 1", Date = new DateTime(2009, 1, 1) },
				new Message { Content = "Message 2", Date = new DateTime(2009, 1, 2) },
				new Message { Content = "Message 3", Date = new DateTime(2009, 1, 3) }
			};
		}

		public IAsyncResult BeginAddMessage(Message message, AsyncCallback callback, object state)
		{
			return new MockAsyncResult { AsyncState = state };
		}

		public void EndAddMessage(IAsyncResult result)
		{
			return;
		}

		#endregion
	}
}
