﻿using System;
using System.Collections.Generic;
using System.ServiceModel;

namespace CodeCamp.Model
{
	[ServiceContract]
	public interface IMessageService
	{
		[OperationContract]
		void AddMessage(Message message);
		[OperationContract]
		IList<Message> GetMessages();
	}

	[ServiceContract(Name = "IMessageService")]
	public interface IMessageServiceAsync
	{
		[OperationContract(AsyncPattern = true)]
		IAsyncResult BeginAddMessage(Message message, AsyncCallback callback, Object asyncState);
		void EndAddMessage(IAsyncResult result);

		[OperationContract(AsyncPattern = true)]
		IAsyncResult BeginGetMessages(AsyncCallback callback, Object asyncState);
		IList<Message> EndGetMessages(IAsyncResult result);
	}
}
